* {
    margin: 0;
    padding: 0;
}

html, body, #cesiumContainer {
    width: 100%;
    height: 100vh;
    overflow: hidden;
}

.cesium-credit-logoContainer {
    display: none !important;
}

/* 左侧功能按钮栏 */
.btn-group {
    position: absolute;
    bottom: 20px;
    left: 20px;
    z-index: 1000;
    display: flex;
    flex-direction: column;
    gap: 8px;
}
.btn-group .reset-btn{
    width: 74px;
    padding: 8px 0 8px 40px;
    background-color: rgba(22,199,255,0.3);
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
    background-image: url("./images/reset.png");
    background-size: 26px 26px;
    background-position: left 10px center;
    background-repeat: no-repeat;
    cursor: pointer;
}
.btn-group button {
    width: 120px;
    padding: 8px 0;
    background: #1677ff;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
}
.btn-group .reset-btn:hover{
    opacity: 0.6;
}
.btn-group button:hover {
    background: #0958d9;
}

.top-bar {
    position: absolute;
    bottom: 20px;
    right: 20px;
    /*transform: translateX(-50%);*/
    z-index: 1000;
}

.top-bar button {
    padding: 8px 16px;
    background: #52c41a;
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
    font-size: 14px;
}

.pop-box {
    position: absolute;
    top: 64px;
    left: 80px;
    background: #fff;
    padding: 40px 20px 20px;
    box-sizing: border-box;
    border-radius: 8px;
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.2);
    z-index: 999;
    display: none;
    min-width: 240px;
    max-width: 600px;
    max-height: 360px;
    overflow-y: auto;
    background: rgba(22,199,255,0.3);
}

.pop-box h3 {
    margin-bottom: 10px;
    color: #333;
    color: #FFF;
    font-size: 16px;
}

.pop-box p {
    margin: 6px 0;
    color: #555;
    color: #FFF;
    font-size: 14px;
}

.pop-box .btn {
    margin-top: 12px;
    padding: 6px 12px;
    background: rgba(22,119,255,0.7);
    color: #fff;
    border: none;
    border-radius: 4px;
    cursor: pointer;
}

.pop-box .close-btn, .pop-modal .close-btn {
    position: absolute;
    top: 8px;
    right: 10px;
    cursor: pointer;
    font-size: 16px;
    cursor: pointer;
}

.pop-modal {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translateX(-50%) translateY(-50%);
    background: #fff;
    padding: 40px 20px 20px;
    box-sizing: border-box;
    border-radius: 8px;
    box-shadow: 0 2px 12px rgba(0, 0, 0, 0.2);
    z-index: 999;
    display: none;

    width: 480px;
    max-height: 360px;
    overflow-y: auto;
}

.btn-flex {
    display: flex;
    align-items: center;
    column-gap: 20px;
    justify-content: flex-end;
}

.modal-content-item {
    padding: 8px;
    border-bottom: 1px solid #eee;
    display: flex;
    column-gap: 10px;
    justify-content: space-between;
    align-items: center;
}

.modal-content-item .item-title {
    font-size: 16px;
    min-width: 0;
}

.look {
    padding: 4px 12px;
    background: #3366ff;
    color: #fff;
    border: none;
    border-radius: 8px;
    font-size: 14px;
    cursor: pointer;
}

.showTime {
    line-height: 42px;
    width: 300px;
    font-size: 16px;
    color: #ffffff;
    position: absolute;
    right: 10px;
    top: 4px;
    z-index: 4;
}

/* 顶部居中蓝色标题栏（匹配截图） */
.page-title {
    z-index: 1000;
    color: #ffffff;
    font-size: 22px;
    padding: 10px 60px;
    text-align: center;
}

/* 底部功能按钮（园区白模/倾斜摄影） */
.bottom-btns {
    position: absolute;
    bottom: 30px;
    left: 50%;
    transform: translateX(-50%);
    display: flex;
    gap: 20px;
    z-index: 1000;
}

.bottom-btns button {
    /*padding: 8px 16px;*/
    width: 166px;
    height: 44px;
    line-height: 44px;
    color: #fff;
    border: none;
    /*border-radius: 8px;*/
    font-size: 18px;
    cursor: pointer;
    background-image: url("./images/button1.png");
    background-size: 100%;
    background-color: transparent;
}

.bottom-btns button.active {
    /*color: orange;*/
    /*border: 1px solid orange;*/
    background-image: url("./images/button2.png");
    background-color: transparent;

}

.bottom-btns button:hover {
    color: #52c41a;
}

#cesiumContainer.withfilter {
    filter: brightness(0.88) contrast(0.95) grayscale(0) hue-rotate(180deg) opacity(1) saturate(2.5) sepia(0.5) invert(1);
}

.top-box {
    position: absolute;
    top: 0;
    left: 0;

    width: 100%;
    height: 80px;
    background-image: url("./images/head.png");
    background-repeat: no-repeat;
    background-position: top center;
    background-size: 100% 100%;

    min-width: 1200px;
}

#tips {
    color: #FFFFFF;
    font-size: 16px;
}

.signmask {
    height: 100%;
    width: 100%;
    background: rgba(0, 0, 0, 0.5);
    filter: alpha(opacity=50);
    position: fixed;
    display: block;
    z-index: 20180910;
    top: 0;
    left: 0;
    background: rgba(0, 0, 0, 0.5) url("./images/icon-operate.png") center no-repeat;
}
